Files Filesets
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/files-filesetsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/files-filesets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/files-filesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"file_set_id": "<string>",
"lab": "<string>",
"method": "<string>",
"class": "<string>",
"source": "<string>",
"source_url": "<string>",
"download_link": "<string>",
"preferred_assay_titles": [
"<string>"
],
"assay_term_ids": [
"<string>"
],
"software": [
"<string>"
],
"collections": [
"<string>"
],
"samples": [
"<string>"
],
"sample_ids": [
"<string>"
],
"simple_sample_summaries": [
"<string>"
],
"donors": [
"<string>"
],
"cell_annotation": "<string>",
"genome_browser_link": "<string>",
"crispr_modality": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Files Filesets
Retrieve data about a specific dataset.
Example: file_fileset_id = ENCFF004PFU,
fileset_id = ENCSR359DFW,
lab = jesse-engreitz,
preferred_assay_title = DNase-seq,
method = MPRA,
donor_id = ENCDO000AAK,
sample_term = EFO_0002784,
sample_summary = GM12878,
software = Distal regulation ENCODE-rE2G,
cell_annotation = mesodermal cell,
class = prediction,
source = ENCODE.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Files Filesets
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/files-filesetsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/files-filesets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/files-filesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"file_set_id": "<string>",
"lab": "<string>",
"method": "<string>",
"class": "<string>",
"source": "<string>",
"source_url": "<string>",
"download_link": "<string>",
"preferred_assay_titles": [
"<string>"
],
"assay_term_ids": [
"<string>"
],
"software": [
"<string>"
],
"collections": [
"<string>"
],
"samples": [
"<string>"
],
"sample_ids": [
"<string>"
],
"simple_sample_summaries": [
"<string>"
],
"donors": [
"<string>"
],
"cell_annotation": "<string>",
"genome_browser_link": "<string>",
"crispr_modality": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
alan-boyle, bill-majoros, charles-gersbach, doug-fowler, gary-hon, j-michael-cherry, jay-shendure, jesse-engreitz, karen-mohlke, kushal-dey, lea-starita, luca-pinello, marc-vidal, mark-craven, nadav-ahituv, predrag-radivojac, thomas-quertermous, tim-reddy, zhiping-weng Available options:
CRISPR FACS screen, CRISPR FlowFISH screen, DNase-seq, DUAL-IPA, MPRA, Parse Perturb-seq, Perturb-seq, SGE, STARR-seq, TAP-seq, VAMP-seq, VAMP-seq (MultiSTEP), Variant-EFFECTS, electroporated MPRA, lentiMPRA, scATAC-seq, scCRISPR screen, snATAC-seq Available options:
BlueSTARR, CRISPR screen, DUAL-IPA, ENCODE-rE2G, ESM-1v, MPRA, MutPred2, Perturb-seq, SEMVAR, SGE, STARR-seq, VAMP-seq, VAMP-seq (MultiSTEP), Variant-EFFECTS, cV2F, caQTL, candidate Cis-Regulatory Elements, elements, scATAC-seq, scE2G, snATAC-seq Available options:
activation, base editing, interference, knockout, prime editing Available options:
2024_multistep, BCalm, BEDTools, BIRD, BlueSTARR, CRISPR-Millipede, CRISPResso2, Cooler, CountESS, DESeq2, DUAL-IPA analysis scripts, Distal regulation ENCODE-rE2G, DistalRegulationCRISPRdata, ESM-1v, FRACTEL, MPRAflow tsv-to-bed, MutPred2, NumPy, Pysam, SEMVAR, SGE Pipeline, Samtools, Sceptre, SciPy, Seaborn, Seurat, Snakemake, Straw, Variant-EFFECTS, bigWigAverageOverBed, cV2F, cyp2c19_2c9, matplotlib, mpralm, pandas, pySpade, pybedtools, scATAC-seq processing scripts, scE2G, statsmodels Available options:
extraembryonic parietal endodermal cell, extraembryonic visceral endodermal cell, intermediate extraembryonic parietal endodermal cell, mesodermal cell, neurectodermal cell, pluripotent epiblast cell, surface ectodermal cell Available options:
true, false Available options:
ENCODE, IGVF Available options:
biological relationship, observed data, prediction Response
Successful response